# vim: set sw=4 ts=4 et nu:

Name:               jack_mixer
Version:            9
Release:            pm151.4.2
Summary:            JACK Audo Mixer Application
Source:             http://download.gna.org/jackmixer/jack_mixer-%{version}.tar.gz
URL:                http://home.gna.org/jackmixer/
Group:              Productivity/Multimedia/Sound/Mixers
License: GPL-2.0
BuildRequires:      gconf2
BuildRequires:      hicolor-icon-theme
BuildRequires:      libtool
BuildRequires:      pkgconfig
BuildRequires:      pkgconfig(gconf-2.0)
BuildRequires:      pkgconfig(glib-2.0)
BuildRequires:      pkgconfig(jack)
BuildRequires:      pkgconfig(python2)
BuildRequires:      python-fpconst
BuildRequires:      python-gtk
BuildRequires:      python-rpm-macros
BuildRequires:      update-desktop-files
Requires:           python-gtk
Requires:           python-fpconst
Recommends:         python-gconf
Recommends:         python-lash
Requires(pre):      gconf2
%gconf_schemas_prereq

%description
jack_mixer is a GTK+ JACK audio mixer app with a look similar to its hardware
counterpart. It has lot of useful features, apart from being able to mix
multiple JACK audio streams.

Features:
* Mix any number of input channels (mono or stereo).
* Control balance and faders with MIDI commands.
* Handle session management with LASH.
* Create as many outputs as necessary.
* Quickly monitor inputs (PFL) and outputs.
* ...

%prep
%autosetup -p1

%build
CFLAGS='%{optflags} -Wno-deprecated-declarations'
%configure --disable-schemas-install
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
%make_install

rm -fv "%{buildroot}%{python2_sitelib}"/*.la

%suse_update_desktop_file -r "%{name}" AudioVideo Mixer

%find_gconf_schemas

%pre -f %{name}.schemas_pre

%preun -f %{name}.schemas_preun

%posttrans -f %{name}.schemas_posttrans

%files -f %{name}.schemas_list
%{_bindir}/jack_mixer
%{_bindir}/jack_mixer.py
%{python2_sitelib}/jack_mixer_c.so
%{_datadir}/icons/*/*/apps/jack_mixer.*
%{_datadir}/jack_mixer
%{_datadir}/applications/jack_mixer.desktop

%changelog
* Fri Jan  6 2012 pascal.bleser@opensuse.org
- initial version (9)
